## qt6-scxml 6.2.4

=== examples/scxml/CMakeLists.txt ===
# Generated from scxml.pro.

if (TARGET Qt::Network AND QT_FEATURE_scxml_ecmascriptdatamodel)
    qt_internal_add_example(ftpclient)
endif()

if(TARGET Qt::Widgets)
    qt_internal_add_example(trafficlight-widgets-static)
    qt_internal_add_example(trafficlight-widgets-dynamic)
    if(QT_FEATURE_scxml_ecmascriptdatamodel)
        # Work around QTBUG-95305
        if(NOT (CMAKE_GENERATOR STREQUAL "Ninja Multi-Config" AND CMAKE_CROSS_CONFIGS))
            qt_internal_add_example(mediaplayer-widgets-static)
            qt_internal_add_example(mediaplayer-widgets-dynamic)
        endif()
        qt_internal_add_example(calculator-widgets)
        qt_internal_add_example(pinball)
        qt_internal_add_example(sudoku)
    endif()
endif()

if(TARGET Qt::Qml AND TARGET Qt::Gui)
    qt_internal_add_example(calculator-qml)
    qt_internal_add_example(trafficlight-qml-static)
    qt_internal_add_example(trafficlight-qml-dynamic)
    qt_internal_add_example(trafficlight-qml-simple)
    qt_internal_add_example(mediaplayer-qml-static)
    qt_internal_add_example(mediaplayer-qml-dynamic)
    qt_internal_add_example(mediaplayer-qml-cppdatamodel)
    qt_internal_add_example(invoke-static)
    qt_internal_add_example(invoke-dynamic)
endif()

=== examples/statemachine/CMakeLists.txt ===
# Generated from widgets.pro.

add_subdirectory(statemachine)

if(TARGET Qt::Widgets)
    add_subdirectory(graphicsview)
    if(QT_FEATURE_animation)
        add_subdirectory(animation)
    endif()
endif()

=== src/scxml/CMakeLists.txt ===

#####################################################################
## Scxml Module:
#####################################################################

qt_internal_include_in_repo_target_set(qtscxml)

qt_internal_add_module(Scxml
    QMAKE_MODULE_CONFIG c++11 qscxmlc
    PLUGIN_TYPES scxmldatamodel
    SOURCES
        qscxmlcompiler.cpp qscxmlcompiler.h qscxmlcompiler_p.h
        qscxmlcppdatamodel.cpp qscxmlcppdatamodel.h qscxmlcppdatamodel_p.h
        qscxmldatamodel.cpp qscxmldatamodel.h qscxmldatamodel_p.h
        qscxmlerror.cpp qscxmlerror.h
        qscxmlevent.cpp qscxmlevent.h qscxmlevent_p.h
        qscxmlexecutablecontent.cpp qscxmlexecutablecontent.h qscxmlexecutablecontent_p.h
        qscxmlglobals.h qscxmlglobals_p.h
        qscxmlinvokableservice.cpp qscxmlinvokableservice.h qscxmlinvokableservice_p.h
        qscxmlnulldatamodel.cpp qscxmlnulldatamodel.h
        qscxmlstatemachine.cpp qscxmlstatemachine.h qscxmlstatemachine_p.h
        qscxmlstatemachineinfo.cpp qscxmlstatemachineinfo_p.h
        qscxmltabledata.cpp qscxmltabledata.h qscxmltabledata_p.h
        qscxmldatamodelplugin_p.h qscxmldatamodelplugin.cpp
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

# Install the public qscxlmc.prf file that is used by the qmake
set(scxml_mkspecs "${CMAKE_CURRENT_SOURCE_DIR}/../../mkspecs/features/qscxmlc.prf")
set(mkspecs_install_dir "${INSTALL_MKSPECSDIR}")
qt_path_join(mkspecs_install_dir "${QT_INSTALL_DIR}" "${mkspecs_install_dir}" "features")
qt_copy_or_install(FILES "${scxml_mkspecs}" DESTINATION ${mkspecs_install_dir})

#### Keys ignored in scope 3:.:.:scxml.pro:NOT force_independent AND ( NOT debug_and_release OR NOT build_all OR CONFIG(release,debug OR release) ):
# QMAKE_EXTRA_COMPILERS = "prf2build"
# prf2build.CONFIG = "no_link" "no_clean" "target_predeps"
# prf2build.commands = "$$QMAKE_COPY" "${QMAKE_FILE_IN}" "${QMAKE_FILE_OUT}"
# prf2build.input = "FEATURES"
# prf2build.name = "COPY" "${QMAKE_FILE_IN}"
# prf2build.output = "$$[QT_INSTALL_DATA/get]/mkspecs/features/${QMAKE_FILE_BASE}${QMAKE_FILE_EXT}"
qt_internal_add_docs(Scxml
    doc/qtscxml.qdocconf
)

include(Qt6ScxmlMacros.cmake)

=== src/statemachineqml/CMakeLists.txt ===
qt_internal_include_in_repo_target_set(qtstatemachineqml)

qt_internal_add_qml_module(StateMachineQml
    URI "QtQml.StateMachine"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtqmlstatemachine
    CLASS_NAME QtQmlStateMachinePlugin
    SOURCES
        qstatemachineqmlglobals_p.h
        finalstate_p.h finalstate.cpp
        signaltransition_p.h signaltransition.cpp
        state_p.h state.cpp
        statemachine_p.h statemachine.cpp
        timeouttransition_p.h timeouttransition.cpp
        childrenprivate_p.h
        statemachineforeign_p.h
    DEFINES
        QT_BUILD_STATEMACHINEQML_LIB
    DEPENDENCIES
        QtQml
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
        Qt::StateMachine
    LIBRARIES
        Qt::QmlPrivate
)

=== examples/scxml/calculator-widgets/CMakeLists.txt ===
# Generated from calculator-widgets.pro.

cmake_minimum_required(VERSION 3.16)
project(calculator-widgets LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/calculator-widgets")

find_package(Qt6 COMPONENTS Core Gui Widgets Scxml)

qt_add_executable(calculator-widgets
    calculator-widgets.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)
set_target_properties(calculator-widgets PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(calculator-widgets PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Scxml
    Qt6::Widgets
)

# Statecharts:
qt6_add_statecharts(calculator-widgets
    ../calculator-common/statemachine.scxml
)

install(TARGETS calculator-widgets
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/ftpclient/CMakeLists.txt ===
# Generated from ftpclient.pro.

cmake_minimum_required(VERSION 3.16)
project(ftpclient LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/ftpclient")

find_package(Qt6 COMPONENTS Core Scxml Network)

qt_add_executable(ftpclient
    ftpcontrolchannel.cpp ftpcontrolchannel.h
    ftpdatachannel.cpp ftpdatachannel.h
    main.cpp
)
set_target_properties(ftpclient PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(ftpclient PUBLIC
    Qt6::Core
    Qt6::Network
    Qt6::Scxml
)

# Statecharts:
qt6_add_statecharts(ftpclient
    simpleftp.scxml
)

install(TARGETS ftpclient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/mediaplayer-qml-cppdatamodel/CMakeLists.txt ===
# Generated from mediaplayer-qml-cppdatamodel.pro.

cmake_minimum_required(VERSION 3.16)
project(mediaplayer-qml-cppdatamodel LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/mediaplayer-qml-cppdatamodel")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)
find_package(Qt6 COMPONENTS Scxml)

qt_add_executable(mediaplayer-qml-cppdatamodel
    mediaplayer-qml-cppdatamodel.cpp
    thedatamodel.cpp thedatamodel.h
)
set_target_properties(mediaplayer-qml-cppdatamodel PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(mediaplayer-qml-cppdatamodel PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Scxml
)


# Resources:
set_source_files_properties("../mediaplayer-common/Mediaplayer.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Mediaplayer.qml"
)
set(mediaplayer-qml-cppdatamodel_resource_files
    "../mediaplayer-common/Mediaplayer.qml"
    "mediaplayer-qml-cppdatamodel.qml"
)

qt6_add_resources(mediaplayer-qml-cppdatamodel "mediaplayer-qml-cppdatamodel"
    PREFIX
        "/"
    FILES
        ${mediaplayer-qml-cppdatamodel_resource_files}
)


# Statecharts:
qt6_add_statecharts(mediaplayer-qml-cppdatamodel
    mediaplayer-cppdatamodel.scxml
)

install(TARGETS mediaplayer-qml-cppdatamodel
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/sudoku/CMakeLists.txt ===
# Generated from sudoku.pro.

cmake_minimum_required(VERSION 3.16)
project(sudoku LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/sudoku")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS Scxml)

qt_add_executable(sudoku
    main.cpp
    mainwindow.cpp mainwindow.h
)
set_target_properties(sudoku PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(sudoku PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Scxml
    Qt::Widgets
)


# Resources:
set(sudoku_resource_files
    "data/nearly-solved-sudoku.data"
    "data/sudoku.data"
    "sudoku.js"
)

qt6_add_resources(sudoku "sudoku"
    PREFIX
        "/"
    FILES
        ${sudoku_resource_files}
)


# Statecharts:
qt6_add_statecharts(sudoku
    sudoku.scxml
)

install(TARGETS sudoku
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-qml-dynamic/CMakeLists.txt ===
# Generated from trafficlight-qml-dynamic.pro.

cmake_minimum_required(VERSION 3.16)
project(trafficlight-qml-dynamic LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-qml-dynamic")

find_package(Qt6 COMPONENTS Core Gui Qml Scxml)

qt_add_executable(trafficlight-qml-dynamic
    trafficlight-qml-dynamic.cpp
)
set_target_properties(trafficlight-qml-dynamic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(trafficlight-qml-dynamic PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Scxml
)


# Resources:
set_source_files_properties("../trafficlight-common/Button.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Button.qml"
)
set_source_files_properties("../trafficlight-common/Lights.ui.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Lights.ui.qml"
)
set_source_files_properties("../trafficlight-common/TrafficLight.qml"
    PROPERTIES QT_RESOURCE_ALIAS "TrafficLight.qml"
)
set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)
set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)
set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)
set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)
set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)
set_source_files_properties("../trafficlight-common/statemachine.scxml"
    PROPERTIES QT_RESOURCE_ALIAS "statemachine.scxml"
)
set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)
set(trafficlight-qml-dynamic_resource_files
    "../trafficlight-common/Button.qml"
    "../trafficlight-common/Lights.ui.qml"
    "../trafficlight-common/TrafficLight.qml"
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/statemachine.scxml"
    "../trafficlight-common/yellow.png"
    "trafficlight-qml-dynamic.qml"
)

qt6_add_resources(trafficlight-qml-dynamic "trafficlight-qml-dynamic"
    PREFIX
        "/"
    FILES
        ${trafficlight-qml-dynamic_resource_files}
)

install(TARGETS trafficlight-qml-dynamic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-qml-static/CMakeLists.txt ===
# Generated from trafficlight-qml-static.pro.

cmake_minimum_required(VERSION 3.16)
project(trafficlight-qml-static LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-qml-static")

find_package(Qt6 COMPONENTS Core Gui Qml Scxml)

qt_add_executable(trafficlight-qml-static
    trafficlight-qml-static.cpp
)
set_target_properties(trafficlight-qml-static PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(trafficlight-qml-static PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Scxml
)


# Resources:
set_source_files_properties("../trafficlight-common/Button.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Button.qml"
)
set_source_files_properties("../trafficlight-common/Lights.ui.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Lights.ui.qml"
)
set_source_files_properties("../trafficlight-common/TrafficLight.qml"
    PROPERTIES QT_RESOURCE_ALIAS "TrafficLight.qml"
)
set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)
set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)
set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)
set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)
set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)
set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)
set(trafficlight-qml-static_resource_files
    "../trafficlight-common/Button.qml"
    "../trafficlight-common/Lights.ui.qml"
    "../trafficlight-common/TrafficLight.qml"
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/yellow.png"
    "trafficlight-qml-static.qml"
)

qt6_add_resources(trafficlight-qml-static "trafficlight-qml-static"
    PREFIX
        "/"
    FILES
        ${trafficlight-qml-static_resource_files}
)


# Statecharts:
qt6_add_statecharts(trafficlight-qml-static
    ../trafficlight-common/statemachine.scxml
)

install(TARGETS trafficlight-qml-static
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/statemachine/statemachine/CMakeLists.txt ===
# Generated from statemachine.pro.

qt_internal_add_example(factorial)
qt_internal_add_example(pingpong)
if(TARGET Qt::Widgets)
    qt_internal_add_example(eventtransitions)
    qt_internal_add_example(rogue)
    qt_internal_add_example(trafficlight)
    qt_internal_add_example(twowaybutton)
endif()

=== examples/statemachine/animation/sub-attaq/CMakeLists.txt ===
# Generated from sub-attaq.pro.

cmake_minimum_required(VERSION 3.16)
project(sub-attaq LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/widgets/animation/sub-attaq")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS StateMachine)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(sub-attaq
    animationmanager.cpp animationmanager.h
    boat.cpp boat.h boat_p.h
    bomb.cpp bomb.h
    graphicsscene.cpp graphicsscene.h
    main.cpp
    mainwindow.cpp mainwindow.h
    pixmapitem.cpp pixmapitem.h
    progressitem.cpp progressitem.h
    qanimationstate.cpp qanimationstate.h
    states.cpp states.h
    submarine.cpp submarine.h submarine_p.h
    textinformationitem.cpp textinformationitem.h
    torpedo.cpp torpedo.h
)
set_target_properties(sub-attaq PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(sub-attaq PUBLIC
    Qt::Core
    Qt::Gui
    Qt::StateMachine
    Qt::Widgets
)


# Resources:
set_source_files_properties("pics/big/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/background"
)
set_source_files_properties("pics/big/boat.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/boat"
)
set_source_files_properties("pics/big/bomb.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/bomb"
)
set_source_files_properties("pics/big/explosion/boat/step1.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/boat/step1"
)
set_source_files_properties("pics/big/explosion/boat/step2.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/boat/step2"
)
set_source_files_properties("pics/big/explosion/boat/step3.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/boat/step3"
)
set_source_files_properties("pics/big/explosion/boat/step4.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/boat/step4"
)
set_source_files_properties("pics/big/explosion/submarine/step1.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/submarine/step1"
)
set_source_files_properties("pics/big/explosion/submarine/step2.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/submarine/step2"
)
set_source_files_properties("pics/big/explosion/submarine/step3.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/submarine/step3"
)
set_source_files_properties("pics/big/explosion/submarine/step4.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/explosion/submarine/step4"
)
set_source_files_properties("pics/big/submarine.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/submarine"
)
set_source_files_properties("pics/big/surface.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/surface"
)
set_source_files_properties("pics/big/torpedo.png"
    PROPERTIES QT_RESOURCE_ALIAS "big/torpedo"
)
set_source_files_properties("pics/scalable/boat.svg"
    PROPERTIES QT_RESOURCE_ALIAS "boat"
)
set_source_files_properties("pics/scalable/sub-attaq.svg"
    PROPERTIES QT_RESOURCE_ALIAS "all"
)
set_source_files_properties("pics/scalable/submarine.svg"
    PROPERTIES QT_RESOURCE_ALIAS "submarine"
)
set_source_files_properties("pics/scalable/torpedo.svg"
    PROPERTIES QT_RESOURCE_ALIAS "torpedo"
)
set_source_files_properties("pics/small/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/background"
)
set_source_files_properties("pics/small/boat.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/boat"
)
set_source_files_properties("pics/small/bomb.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/bomb"
)
set_source_files_properties("pics/small/submarine.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/submarine"
)
set_source_files_properties("pics/small/surface.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/surface"
)
set_source_files_properties("pics/small/torpedo.png"
    PROPERTIES QT_RESOURCE_ALIAS "small/torpedo"
)
set_source_files_properties("pics/welcome/logo-a.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-a"
)
set_source_files_properties("pics/welcome/logo-a2.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-a2"
)
set_source_files_properties("pics/welcome/logo-b.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-b"
)
set_source_files_properties("pics/welcome/logo-dash.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-dash"
)
set_source_files_properties("pics/welcome/logo-excl.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-excl"
)
set_source_files_properties("pics/welcome/logo-q.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-q"
)
set_source_files_properties("pics/welcome/logo-s.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-s"
)
set_source_files_properties("pics/welcome/logo-t.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-t"
)
set_source_files_properties("pics/welcome/logo-t2.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-t2"
)
set_source_files_properties("pics/welcome/logo-u.png"
    PROPERTIES QT_RESOURCE_ALIAS "logo-u"
)
set(subattaq_resource_files
    "data.xml"
    "pics/big/background.png"
    "pics/big/boat.png"
    "pics/big/bomb.png"
    "pics/big/explosion/boat/step1.png"
    "pics/big/explosion/boat/step2.png"
    "pics/big/explosion/boat/step3.png"
    "pics/big/explosion/boat/step4.png"
    "pics/big/explosion/submarine/step1.png"
    "pics/big/explosion/submarine/step2.png"
    "pics/big/explosion/submarine/step3.png"
    "pics/big/explosion/submarine/step4.png"
    "pics/big/submarine.png"
    "pics/big/surface.png"
    "pics/big/torpedo.png"
    "pics/scalable/boat.svg"
    "pics/scalable/sub-attaq.svg"
    "pics/scalable/submarine.svg"
    "pics/scalable/torpedo.svg"
    "pics/small/background.png"
    "pics/small/boat.png"
    "pics/small/bomb.png"
    "pics/small/submarine.png"
    "pics/small/surface.png"
    "pics/small/torpedo.png"
    "pics/welcome/logo-a.png"
    "pics/welcome/logo-a2.png"
    "pics/welcome/logo-b.png"
    "pics/welcome/logo-dash.png"
    "pics/welcome/logo-excl.png"
    "pics/welcome/logo-q.png"
    "pics/welcome/logo-s.png"
    "pics/welcome/logo-t.png"
    "pics/welcome/logo-t2.png"
    "pics/welcome/logo-u.png"
)

qt6_add_resources(sub-attaq "subattaq"
    PREFIX
        "/"
    FILES
        ${subattaq_resource_files}
)

install(TARGETS sub-attaq
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-scxml (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 22:59:47 +0200

qt6-scxml (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:46:48 +0100

qt6-scxml (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 19:47:49 +0100

qt6-scxml (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999893)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 08:26:37 +0100

=== debian/control ===
Source: qt6-scxml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
Rules-Requires-Root: no

Package: libqt6scxml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SCXML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML.

Package: libqt6scxml6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6scxml6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SCXML helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the helper binary for Qt 6 SCXML.

Package: libqt6scxmlqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SCXML QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML QML.

Package: libqt6statemachine6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 State Machine library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 State Machine.

Package: libqt6statemachineqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 State Machine QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 State Machine QML.

Package: qml6-module-qtscxml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SCXML QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for Qt SCXML.

Package: qml6-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Qt QML State Machine module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for the Qt State Machine.

Package: qt6-scxml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6scxml6 (= ${binary:Version}),
         libqt6scxml6-bin (= ${binary:Version}),
         libqt6scxmlqml6 (= ${binary:Version}),
         libqt6statemachine6 (= ${binary:Version}),
         libqt6statemachineqml6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 SCXML - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for Qt 6 SCXML.

## qt6-scxml 6.3.1

=== debian/changelog ===
qt6-scxml (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 17:15:59 -0300

qt6-scxml (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:40 +0200

qt6-scxml (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 18:28:01 +0200

qt6-scxml (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 22:16:49 +0200

qt6-scxml (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 11:13:26 -0300

qt6-scxml (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git

## qt6-scxml 6.4.1

=== debian/changelog ===
qt6-scxml (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1025064).

 -- Patrick Franz <deltaone@debian.org>  Thu, 08 Dec 2022 01:32:41 +0100

qt6-scxml (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:15:42 +0100

qt6-scxml (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015624).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Nov 2022 15:41:01 +0100

qt6-scxml (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:54:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.1+dfsg~),
+               qml6-module-qttest (>= 6.4.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.1
